#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    // code added to interface with the Generated UI
    pb1 = new QPushButton("One");
    //ui->glForPZ->addWidget(pb1, 0, 0);
    QString snum;

    for (int i = 0 ; i < 10 ; i++)
    {
        snum.setNum (i + 1);
        arr[i] = new QPushButton (tr("Button ").append(snum));
        connect (arr[i], SIGNAL(clicked()), this, SLOT(buttonSlot()));
        ui->glForPZ->addWidget(arr[i], i/2, i%2);
    }
}

void MainWindow::buttonSlot()
{
    QPushButton *pb = qobject_cast <QPushButton *> (sender());
    int buttonNumber = -1;

    for (int i = 0 ; i < 10 ; i++)
    {
        if (arr[i] == pb)
           buttonNumber = i;
    }

    ui->lcdNumber->display(buttonNumber);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
